Package org.jboss.resteasy.core

## Class InjectorFactoryImpl

- java.lang.Object
- - org.jboss.resteasy.core.InjectorFactoryImpl

- All Implemented Interfaces:
    `InjectorFactory`

      public class InjectorFactoryImpl
      extends Object
      implements InjectorFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static InjectorFactoryImpl` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InjectorFactoryImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstructorInjector` | `createConstructor​(Constructor constructor, ResteasyProviderFactory providerFactory)` |
    `ConstructorInjector` | `createConstructor​(ResourceConstructor constructor, ResteasyProviderFactory providerFactory)` |
    `MethodInjector` | `createMethodInjector​(ResourceLocator method, ResteasyProviderFactory factory)` |
    `ValueInjector` | `createParameterExtractor​(Class injectTargetClass, AccessibleObject injectTarget, String defaultName, Class type, Type genericType, Annotation[] annotations, boolean useDefault, ResteasyProviderFactory providerFactory)` |
    `ValueInjector` | `createParameterExtractor​(Class injectTargetClass, AccessibleObject injectTarget, String defaultName, Class type, Type genericType, Annotation[] annotations, ResteasyProviderFactory providerFactory)` |
    `ValueInjector` | `createParameterExtractor​(Parameter parameter, ResteasyProviderFactory providerFactory)` |
    `PropertyInjector` | `createPropertyInjector​(Class resourceClass, ResteasyProviderFactory providerFactory)` |
    `PropertyInjector` | `createPropertyInjector​(ResourceClass resourceClass, ResteasyProviderFactory providerFactory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final InjectorFactoryImpl INSTANCE

  - ### Constructor Detail

    - #### InjectorFactoryImpl

          public InjectorFactoryImpl()

  - ### Method Detail

    - #### createConstructor

          public ConstructorInjector createConstructor​(Constructor constructor,
                                                       ResteasyProviderFactory providerFactory)

      Specified by:
        `createConstructor` in interface `InjectorFactory`

    - #### createConstructor

          public ConstructorInjector createConstructor​(ResourceConstructor constructor,
                                                       ResteasyProviderFactory providerFactory)

      Specified by:
        `createConstructor` in interface `InjectorFactory`

    - #### createPropertyInjector

          public PropertyInjector createPropertyInjector​(Class resourceClass,
                                                         ResteasyProviderFactory providerFactory)

      Specified by:
        `createPropertyInjector` in interface `InjectorFactory`

    - #### createPropertyInjector

          public PropertyInjector createPropertyInjector​(ResourceClass resourceClass,
                                                         ResteasyProviderFactory providerFactory)

      Specified by:
        `createPropertyInjector` in interface `InjectorFactory`

    - #### createMethodInjector

          public MethodInjector createMethodInjector​(ResourceLocator method,
                                                     ResteasyProviderFactory factory)

      Specified by:
        `createMethodInjector` in interface `InjectorFactory`

    - #### createParameterExtractor

          public ValueInjector createParameterExtractor​(Parameter parameter,
                                                        ResteasyProviderFactory providerFactory)

      Specified by:
        `createParameterExtractor` in interface `InjectorFactory`

    - #### createParameterExtractor

          public ValueInjector createParameterExtractor​(Class injectTargetClass,
                                                        AccessibleObject injectTarget,
                                                        String defaultName,
                                                        Class type,
                                                        Type genericType,
                                                        Annotation[] annotations,
                                                        ResteasyProviderFactory providerFactory)

      Specified by:
        `createParameterExtractor` in interface `InjectorFactory`

    - #### createParameterExtractor

          public ValueInjector createParameterExtractor​(Class injectTargetClass,
                                                        AccessibleObject injectTarget,
                                                        String defaultName,
                                                        Class type,
                                                        Type genericType,
                                                        Annotation[] annotations,
                                                        boolean useDefault,
                                                        ResteasyProviderFactory providerFactory)

      Specified by:
        `createParameterExtractor` in interface `InjectorFactory`